import { VectorLike } from "./Vector";
export declare class Bounds {
    top: number;
    right: number;
    bottom: number;
    left: number;
    readonly width: number;
    readonly height: number;
    move(deltaX: number, deltaY: number): void;
    moveVector(vector: VectorLike, scale?: number): void;
    grow(delta: number): void;
    overlaps(bounds: Bounds): boolean;
    updateVertices(vertices: ReadonlyArray<VectorLike>): void;
    updateBounds(boundsArray: ReadonlyArray<Bounds>): void;
}
