import { Vector, VectorLike } from "./Vector";
import { Utils } from "../common/Utils";
export declare const Vertices: {
    readonly fromArray: (array: number[]) => Vector[];
    readonly findClosest: <T extends VectorLike>(target: VectorLike, vertices: readonly T[]) => T;
    readonly createPolygon: Utils.CacheWrapper<(this: void, edges: number, radius: number, rotation?: number) => Vector[]>;
    readonly createStar: Utils.CacheWrapper<(this: void, angles: number, innerRadius: number, outerRadius: number, rotation?: number) => Vector[]>;
    readonly createRectangle: Utils.CacheWrapper<(this: void, width: number, height: number, rotation?: number | undefined) => Vector[]>;
};
