export declare type CategoryTag = string | symbol;
export declare type CategoryRecord = [CategoryTag, number];
export interface CategoryObject {
    readonly MAX_COUNT: number;
    readonly FULL_MASK: number;
    registry: CategoryRecord[];
    count: number;
    readonly next: () => number;
    readonly for: (tag: CategoryTag) => number;
    readonly tagFor: (category: number) => CategoryTag | void;
}
export declare const Category: CategoryObject;
